org.w3._2000._09.xmldsig

## Class PGPData

- java.lang.Object
- - org.w3._2000._09.xmldsig.PGPData

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class PGPData
      extends Object
      implements Serializable

  Java class for PGPDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PGPDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <sequence>
                 <element name="PGPKeyID" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <element name="PGPKeyPacket" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
                 <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <sequence>
                 <element name="PGPKeyPacket" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PGPData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Element>` | `getAnies()` Gets the value of the anies property.
    `byte[]` | `getPGPKeyID()` Gets the value of the pgpKeyID property.
    `byte[]` | `getPGPKeyPacket()` Gets the value of the pgpKeyPacket property.
    `void` | `setPGPKeyID(byte[] value)` Sets the value of the pgpKeyID property.
    `void` | `setPGPKeyPacket(byte[] value)` Sets the value of the pgpKeyPacket property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PGPData

          public PGPData()

  - ### Method Detail

    - #### getPGPKeyID

          public byte[] getPGPKeyID()

      Gets the value of the pgpKeyID property.
      Returns:
        possible object is byte[]

    - #### setPGPKeyID

          public void setPGPKeyID(byte[] value)

      Sets the value of the pgpKeyID property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getPGPKeyPacket

          public byte[] getPGPKeyPacket()

      Gets the value of the pgpKeyPacket property.
      Returns:
        possible object is byte[]

    - #### setPGPKeyPacket

          public void setPGPKeyPacket(byte[] value)

      Sets the value of the pgpKeyPacket property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getAnies

          public List<Element> getAnies()

      Gets the value of the anies property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anies property.

      For example, to add a new item, do as follows:

              getAnies().add(newItem);

      Objects of the following type(s) are allowed in the list `Element`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.